Subject: errno.h and Win32 API sockets.h
From: [email-masked] (Colin Peters)

5 Nov 1996 00:34:19 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Another question to do with conflicts between windows32api-0.1.2 header
files and Cygnus (or other) headers. The constants ENOTEMPTY and ENAMETOOLONG
are defined in both errno.h and in the windows32api sockets.h header. Is there
a simple solution to this (aside from not using errno.h and windows.h in the
same file)?

Of course, since MSVC has the same problem maybe any fix would introduce
unneccessary incompatibilities. The only suggestion I can make is to take
the include of sockets.h out of windows.h and rename the file winsock.h
(for compatibility with MSVC). This would, at least, serve to isolate the
problem.

Colin.

------------------------------------------------------------------------------
Colin Peters ------------ Saga Univ. Dept. of Information Science, Saga, JAPAN
http://www.fu.is.saga-u.ac.jp/~colin/home.html - [email-masked]
コリン ピーターズ - 佐賀大学理工学部情報科学科情報基礎学講座
                    - Current favorite kanji: 晴れ 芝生 -

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".